Skip to main content
POST
/
v1
/
prompt-injection
/
image
/
multipart
Scan image for prompt injection (multipart upload)
curl --request POST \
  --url https://api.example.com/v1/prompt-injection/image/multipart \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form image='@example-file' \
  --form 'only=<string>' \
  --form 'exclude=<string>' \
  --form minimum_confidence=medium
{
  "is_safe": true,
  "categories": [
    {
      "code": "output_manipulation",
      "confidence": "medium"
    }
  ],
  "request_id": "<string>",
  "api_key_id": "<string>",
  "request_units": 123,
  "billed_request_units": 123,
  "service_tier": "low",
  "reason": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.centure.ai/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is the same as the Scan Image for Prompt Injection endpoint but that it allows you to send the image using a multipart http request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
image
file
required

Image file upload. Supported formats: PNG, JPEG, GIF, WebP

only
string

JSON array or comma-separated list of categories to detect (mutually exclusive with 'exclude')

exclude
string

JSON array or comma-separated list of categories to exclude (mutually exclusive with 'only')

minimum_confidence
enum<string>

Minimum confidence level to include in results. Default: 'medium' (include all)

Available options:
medium,
high

Response

Scan result

is_safe
boolean
required
categories
object[]
required
request_id
string
required
api_key_id
string
required
request_units
number
required
billed_request_units
number
required
service_tier
enum<string>
required
Available options:
low,
standard,
dedicated
reason
string